[ Maverik Level 1 functions ]

#

mav_vectorWorldPos

## Summary

Compute world coordinates of a 3D vector.

## Syntax

MAV_vector mav_vectorWorldPos(MAV_vector v);

- MAV_vector v
  3D vector.

## Description

This function computes the world coordinates of the 3D NDC screen coordinate frame vector `v`, i.e. the world position vector which, when it is transformed by the current projection matrix, maps to the given NDC vector.

Back to the index page.